import { OnInit } from '@angular/core';
import { ThemeService } from '../theme.service';
import { Subject } from 'rxjs';
export declare class ThemeSwitchComponent implements OnInit {
    private themeService;
    theme$: Subject<string | null>;
    size?: 'sm' | 'md' | 'lg';
    style?: 'icon' | 'label';
    constructor(themeService: ThemeService);
    ngOnInit(): void;
}
